
From: Andrew Morton <akpm@osdl.org>

arch/sparc64/kernel/smp.c:48: error: parse error before "__attribute__"
arch/sparc64/kernel/smp.c:49: error: parse error before "__attribute__"

Cc: Christoph Lameter <christoph@lameter.com>
Cc: "David S. Miller" <davem@davemloft.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/sparc64/kernel/smp.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/sparc64/kernel/smp.c~sparc64-read_mostly-build-fix arch/sparc64/kernel/smp.c
--- 25-sparc64/arch/sparc64/kernel/smp.c~sparc64-read_mostly-build-fix	2005-07-11 23:24:43.000000000 -0700
+++ 25-sparc64-akpm/arch/sparc64/kernel/smp.c	2005-07-11 23:24:43.000000000 -0700
@@ -45,8 +45,8 @@ extern void calibrate_delay(void);
 /* Please don't make this stuff initdata!!!  --DaveM */
 static unsigned char boot_cpu_id;
 
-cpumask_t cpu_online_map = CPU_MASK_NONE __read_mostly;
-cpumask_t phys_cpu_present_map = CPU_MASK_NONE __read_mostly;
+cpumask_t cpu_online_map __read_mostly = CPU_MASK_NONE;
+cpumask_t phys_cpu_present_map __read_mostly = CPU_MASK_NONE;
 static cpumask_t smp_commenced_mask;
 static cpumask_t cpu_callout_map;
 
_
